gsw_SP_from_Sstar {gsw} | R Documentation

## Practical Salinity from Preformed Salinity

### Description

Practical Salinity from Preformed Salinity

### Usage

    gsw_SP_from_Sstar(Sstar, p, longitude, latitude)

### Arguments

`Sstar` | Preformed Salinity [ g/kg ]
`p` | sea pressure [dbar], i.e. absolute pressure [dbar] minus 10.1325 dbar
`longitude` | longitude in decimal degrees, positive to the east of Greenwich. (This is called `long` in the TEOS-10 Matlab code.)
`latitude` | latitude in decimal degrees, positive to the north of the equator. (This is called `lat` in the TEOS-10 Matlab code.)

### Details

The present R function works with a wrapper to a C function contained within the GSW-C system (Version 3.05-4 dated 2017-08-07, available at https://github.com/TEOS-10/GSW-C, as git commit '5b4d959e54031f9e972f3e863f63e67fa4f5bfec'), which stems from the GSW-Fortran system (https://github.com/TEOS-10/GSW-Fortran) which in turn stems from the GSW-Matlab system (https://github.com/TEOS-10/GSW-Matlab). Consult http://www.teos-10.org to learn more about these software systems, their authorships, and the science behind it all.

### Value

Practical Salinity (PSS-78) [ unitless ]

### References

http://www.teos-10.org/pubs/gsw/html/gsw_SP_from_Sstar.html

### See Also

Other things related to salinity: `gsw_C_from_SP`, `gsw_SA_from_SP_Baltic`, `gsw_SA_from_SP`, `gsw_SA_from_Sstar`, `gsw_SP_from_C`, `gsw_SP_from_SA`, `gsw_SP_from_SK`, `gsw_SP_from_SR`, `gsw_SR_from_SP`, `gsw_Sstar_from_SA`, `gsw_Sstar_from_SP`, `gsw_deltaSA_from_SP`

### Examples

    Sstar <- c(34.7115, 34.8912, 35.0247, 34.8436, 34.7291, 34.7197)
    p <- c(         10,      50,     125,     250,     600,    1000)
    longitude <- 188
    latitude <- 4
    SP <- gsw_SP_from_Sstar(Sstar, p, longitude, latitude)
    expect_equal(SP, c(34.548646570969929, 34.727538423586189, 34.860549501859502,
                       34.681006826476434, 34.568065697992346, 34.560023926979518))

[Package gsw version 1.0-5 Index]